Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi.server
Class SocketSecurityException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--java.rmi.RemoteException
                              |
                              +--java.rmi.server.ExportException
                                    |
                                    +--java.rmi.server.SocketSecurityException

All Implemented Interfaces:
  Serializable

public class SocketSecurityException
extends ExportException

A `SocketSecurityException` is thrown during remote object export if the code exporting the remote object (either by construction or by explicit call to the `exportObject` method of `UnicastRemoteObject` or `java.rmi.activation.Activatable`) does not have permission to create a `java.net.ServerSocket` on the port number specified during remote object export.

Since:
  JDK1.1
See Also:
  `UnicastRemoteObject`, `Activatable`, Serialized Form

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`SocketSecurityException(String s)` Constructs an `SocketSecurityException` with the specified detail message.
`SocketSecurityException(String s, Exception ex)` Constructs an `SocketSecurityException` with the specified detail message and nested exception.

Methods inherited from class java.rmi.RemoteException
`getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SocketSecurityException

    public SocketSecurityException(String s)

  Constructs an `SocketSecurityException` with the specified detail message.
  Parameters:
    `s` - the detail message.
  Since:
    JDK1.1

### SocketSecurityException

    public SocketSecurityException(String s,
                                   Exception ex)

  Constructs an `SocketSecurityException` with the specified detail message and nested exception.
  Parameters:
    `s` - the detail message.
    `ex` - the nested exception
  Since:
    JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.